Page MenuHomePhabricator

[Task] Make Wikibase-JavaScript-API testextension job run composer
Closed, ResolvedPublic

Description

The Wikibase-JavaScript-Api component has set mwext-WikibaseJavaScriptApi-testextension-zend to non-voting because it fails. It fails because it can not find a dependency:

09:18:11 1) ResourcesTest::testMissingDependencies
09:18:11 The module 'dataValues.DataValue' required by 'wikibase.api.FormatValueCaller' must exist
09:18:11 Failed asserting that an array contains 'dataValues.DataValue'.

(see https://integration.wikimedia.org/ci/job/mwext-WikibaseJavaScriptApi-testextension-zend/70/consoleFull)

The dependency is not found because composer is not executed before the test. Would be cool to have this fixed and running.

Event Timeline

thiemowmde assigned this task to JanZerebecki.
thiemowmde raised the priority of this task from to Low.
thiemowmde updated the task description. (Show Details)
Restricted Application added a project: Wikidata. · View Herald TranscriptAug 25 2015, 9:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JanZerebecki removed JanZerebecki as the assignee of this task.Aug 26 2015, 3:37 PM
JanZerebecki moved this task from incoming to consider for next sprint on the Wikidata board.
JanZerebecki moved this task from consider for next sprint to ready to go on the Wikidata board.
Lydia_Pintscher renamed this task from Make Wikibase-JavaScript-API testextension job run composer to [Task] Make Wikibase-JavaScript-API testextension job run composer.Sep 10 2015, 11:51 AM
JanZerebecki closed this task as Resolved.Feb 24 2016, 1:53 PM
JanZerebecki claimed this task.

Fixed during T100654.